﻿using CoreLibrary.Events;
using CoreLibrary.Joueurs;
using Xunit;

namespace UnitTesting
{
    public class JoueurBuilderUT
    {
        [Fact]
        public void JoueurBuilderTest()
        {
            string nom = "Céleste";
            string? nomEvenement = "";

            JoueurBuilder builder = new JoueurBuilder();
            builder.ConstruireJoueur += (Object? sender, ConstruireJoueurEventArgs e) => nomEvenement = e.Nom;

            builder.Nom(nom);

            Assert.Equal(nom, nomEvenement);
        }
    }
}
